# main: cmdline.c main_template.cc
# 	g++ -o main cmdline.c common.cc main_template.cc

# cmdline.c cmdline.h : cmdline.ggo
# 	gengetopt -i cmdline.ggo

# cmdline.ggo: cmdline_common.ggo cmdline_program.ggo
# 	cat cmdline_common.ggo cmdline_program.ggo > cmdline.ggo
